%define name guayadeque
%define version 0.3.7
%define release %mkrel 4

Summary:        Guayadeque Mp3 Music PLayer
Summary(de):	Guayadeque Mp3 Musikplayer
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Sound
License:        GPLv2+
URL:            http://www.sourceforge.net/projects/guayadeque/
Source0:        http://www.sourceforge.net/projects/guayadeque/guayadeque-svn1894.tar.xz
Patch0:         %{name}-fix-dso-linker.patch
Patch1:         %{name}-timeline.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake 
BuildRequires: desktop-file-utils 
BuildRequires: %{_lib}wxgtk2.8-devel 
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}taglib-devel 
BuildRequires: %{_lib}curl-devel 
BuildRequires: %{_lib}mp4v2-devel
BuildRequires: %{_lib}dbus-1-devel

Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Requires: taglib
Obsoletes: 	%{name} < %version
Provides:       bundled(md5-polstra)

BuildConflicts: %{_lib}gtk+3.0-devel
BuildConflicts: %{_lib}indicator3-devel

%description
Guayadeque mp3 music player with the aims to be intuitive, easy to use and
fast even for huge music collections.

%description -l de
Guayadeque Mp3 Musikplayer hat das Ziel intuitiv, einfach und schnell zu sein,
sogar bei großen Musiksammlungen.


%prep
%setup -qn guayadeque-svn1894
%patch0 -p1
%patch1 -p0

%build
# deleting Unity parts in guayadeque.desktop files
sed -i '18,38d' guayadeque.desktop

export LDFLAGS=-lgdk_pixbuf-2.0

mkdir -p build-guayadeque && pushd build-guayadeque
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_SKIP_RPATH=FALSE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -D_GUREVISION_:STRING=1894 \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
..

%__sed -i -e 's|-I/usr/include/taglib|-I%{_includedir}/taglib -I%{_includedir}/taglib-extras|g' src/CMakeFiles/guayadeque.dir/flags.make

%make
popd

%install
rm -rf %{buildroot}
make -C  build-guayadeque install DESTDIR=%{buildroot}

# menu-entry
mkdir -p %{buildroot}/%_datadir/applications/
cat > %{buildroot}/%_datadir/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Guayadeque Music Player
Comment=Play and organize your music, listen to radios, podcasts and more ...
Exec=%name
Terminal=false
Type=Application
Categories=GNOME;GTK;AudioVideo;Audio;Player;X-MandrivaLinux-Multimedia-Sound;
MimeType=application/ogg;application/x-flac;audio/mp4;audio/mpeg;audio/mpegurl;audio/ogg;audio/x-ape;audio/x-flac;audio/x-m4a;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-asf;audio/x-ms-asx;audio/x-ms-wax;audio/x-ms-wma;
Icon=%{_liconsdir}/%name.png
Name[en_US]=Guayadeque Music Player
EOF


# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 %name.png %buildroot/%_liconsdir/%name.png
install -m 644 %name.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 %name.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README changelog LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/guayadeque.png
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Sun May 01 2016 bb <bb> 0.3.7-4pclos2016
- update from svn
- do not build with gtk3-devel installed

* Mon Jul 13 2015 bb <bb> 0.3.7-3pclos2015
- dont build with libindicator devel installed

* Mon Jun 22 2015 bb <bb> 0.3.7-2pclos2015
- rebuild for updated wxgtk2.8

* Thu Apr 03 2014 Ken <lxgator at gmail.com> 0.3.7-1pclos2014
- 0.3.7

* Sat Apr 13 2013 Texstar <texstar at gmail.com> 0.3.5-2pclos2013
- rebuild against updated libs

